Package Details: cht.sh 6-4

Git Clone URL: https://aur.archlinux.org/cht.sh.git (read-only, click to copy)
Package Base: cht.sh
Description: The only cheat sheet you need (command line client for cheat.sh)
Upstream URL: https://cheat.sh/
Licenses: MIT
Submitter: simon04
Maintainer: simon04
Last Packager: simon04
Votes: 18
Popularity: 0.005791
First Submitted: 2018-07-16 12:14
Last Updated: 2020-05-15 06:31

Pinned Comments

simon04 commented on 2020-05-15 08:39

Please use the VCS version of this package as the source files keep changing sporadically – https://aur.archlinux.org/packages/cht.sh-git

Latest Comments

1 2 Next › Last »

simon04 commented on 2020-05-15 08:39

Please use the VCS version of this package as the source files keep changing sporadically – https://aur.archlinux.org/packages/cht.sh-git

simon04 commented on 2020-05-15 08:38

The root cause for the repeated integrity problems is https://github.com/chubin/cheat.sh/issues/196

@j1simon: Please assume good intent and provide the sha256sums of your downloaded files. I double checked the sha256sum with the files in https://github.com/chubin/cheat.sh // Diff your files against those in the repository.

Alternatively, use the VCS version of this package: https://aur.archlinux.org/packages/cht.sh-git

j1simon commented on 2020-05-15 07:57

Every time you update the PKGBUILD with a new version, you should run your own PKGBUILD to check that it works.
And updating the sums in a PKGBUILD is as easy as running updpkgsums in the folder where the PKGBUILD to be updated is located: https://wiki.archlinux.org/index.php/Makepkg#Generate_new_checksums

j1simon commented on 2020-05-15 07:52

It still fails: failed to verify integrity or prepare cht.sh package I think after more than a month it's time to fix it, right?

$ pacaur -Sua
:: Starting AUR upgrade...
:: resolving dependencies...
:: looking for inter-conflicts...

AUR Packages  (1) cht.sh-6-4

:: Proceed with installation? [Y/n]
:: Retrieving package(s)...
update complete: /home/juan/.cache/pacaur/cht.sh
:: cht.sh build files are up-to-date -- skipping
:: Checking cht.sh integrity...
==> Making package: cht.sh 6-4 (Fri May 15 09:51:00 2020)
==> Retrieving sources...
-> Found cht-6-4.sh
-> Found cht-completion-6-4.sh
==> Validating source files with sha256sums...
cht-6-4.sh ... Passed
cht-completion-6-4.sh ... FAILED
==> ERROR: One or more files did not pass the validity check!
:: Preparing cht.sh...
==> Making package: cht.sh 6-4 (Fri May 15 09:51:00 2020)
==> WARNING: Skipping dependency checks.
==> Retrieving sources...
-> Found cht-6-4.sh
-> Found cht-completion-6-4.sh
==> WARNING: Skipping all source file integrity checks.
==> Extracting sources...
==> Sources are ready.
:: failed to verify integrity or prepare cht.sh package

j1simon commented on 2020-03-29 09:26

$ pacaur --sync cht.sh
:: resolving dependencies...
:: looking for inter-conflicts...

AUR Packages  (1) cht.sh-6-3
Repo Packages (1) rlwrap-0.43-3

Repo Download Size:   0.09 MiB
Repo Installed Size:  0.24 MiB

:: Proceed with installation? [Y/n]
:: Retrieving package(s)...
update complete: /home/juan/.cache/pacaur/cht.sh
:: cht.sh build files are up-to-date -- skipping
:: Checking cht.sh integrity...
==> Making package: cht.sh 6-3 (Sun Mar 29 11:25:39 2020)
==> Retrieving sources...
-> Found cht-6-3.sh
-> Found cht-completion-6-3.sh
==> Validating source files with sha256sums...
cht-6-3.sh ... Passed
cht-completion-6-3.sh ... FAILED
==> ERROR: One or more files did not pass the validity check!
:: Preparing cht.sh...
==> Making package: cht.sh 6-3 (Sun Mar 29 11:25:39 2020)
==> WARNING: Skipping dependency checks.
==> Retrieving sources...
-> Found cht-6-3.sh
-> Found cht-completion-6-3.sh
==> WARNING: Skipping all source file integrity checks.
==> Extracting sources...
==> Sources are ready.
:: failed to verify integrity or prepare cht.sh package

simon04 commented on 2019-08-03 08:36

@dmp1ce: Thanks for the pointer; bash completion script added in 6-2

dmp1ce commented on 2019-07-30 21:44

Could you also install bash completion?

mattbyname commented on 2019-06-07 21:59

Hi, I'm getting a validation error trying to upgrade. Thought I'd let you know:

Building cht.sh...

==> Making package: cht.sh 5-1 (Fri 07 Jun 2019 22:57:33 BST)

==> Checking runtime dependencies...

==> Checking buildtime dependencies...

==> Retrieving sources...

  -> Found cht-5-1.sh

==> Validating source files with sha256sums...

    cht-5-1.sh ... FAILED

==> ERROR: One or more files did not pass the validity check!

thoemu commented on 2018-11-07 14:58

Great, thanks for fixing.

simon04 commented on 2018-11-07 13:06

@thoemu: Thanks, I updated the sha256sums in cht.sh 4-4